Bug 834202 - [RFE] OVIRT-CLI: Do not retrieve resource on update, but use empty resource decorator
[RFE] OVIRT-CLI: Do not retrieve resource on update, but use empty resource d...
Status: CLOSED DUPLICATE of bug 950684
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
bugs@ovirt.org
infra
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 04:08 EDT by Michael Pasternak
Modified: 2015-01-27 09:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-27 09:24:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-06-21 04:08:59 EDT
Description of problem:

Currently on update first retrieved resource from the backend, then
it's fields get changed according to specified cli options,

this is not required as api supports PATCH based update, i.e enough 
creating new instance of this resource and setting cli options in it.
Comment 1 Itamar Heim 2012-12-30 07:27:32 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 2 Michael Pasternak 2012-12-30 07:40:56 EST
this is traffic saving feature, worth implementing.
Comment 3 Itamar Heim 2013-12-01 05:03:57 EST
still no activity on this one - thoughts on impact vs. effort?
Comment 5 Juan Hernández 2015-01-27 09:24:49 EST

*** This bug has been marked as a duplicate of bug 950684 ***

Note You need to log in before you can comment on or make changes to this bug.